Index: /branches/gui/src/lib/gui/gl/glgui_style.cc
===================================================================
--- /branches/gui/src/lib/gui/gl/glgui_style.cc	(revision 8593)
+++ /branches/gui/src/lib/gui/gl/glgui_style.cc	(revision 8594)
@@ -30,5 +30,5 @@
   GLGuiStyle::GLGuiStyle (const TiXmlElement* root)
   {
-    _font = NULL;
+    this->_font = NULL;
     this->_currentState = OrxGui::Normal;
     this->_animationCycle = -1.0;
@@ -327,4 +327,14 @@
   }
 
+    /**
+     * @brief sets the Background Texture to all States.
+     * @param textureName the Texture's fileName.
+     */
+  void GLGuiStyle::setBackgroundTexture(const std::string& textureName)
+  {
+    for (unsigned int i = 0; i < GLGUI_STATE_COUNT; ++i)
+      _style[i]._background.setDiffuseMap(textureName);
+  }
+
   /**
    * @brief sets the Background Texture.
@@ -336,4 +346,5 @@
     _style[state]._background.setDiffuseMap(texture);
   }
+
 
 
@@ -492,4 +503,17 @@
 
 
+  void GLGuiStyle::tick(float dt)
+  {
+
+  }
+
+  void GLGuiStyle::switchState(OrxGui::State state)
+  {
+    this->_currentStyle = this->_style[state];
+    this->_currentState = state;
+    printf("Switching to state %s\n", OrxGui::StateString[state].c_str());
+  }
+
+
   /**
    * @param stateName the Name of a State.
Index: /branches/gui/src/lib/gui/gl/glgui_style.h
===================================================================
--- /branches/gui/src/lib/gui/gl/glgui_style.h	(revision 8593)
+++ /branches/gui/src/lib/gui/gl/glgui_style.h	(revision 8594)
@@ -117,4 +117,5 @@
 
     void setBackgroundTexture(const Texture& texture);
+    void setBackgroundTexture(const std::string& textureName);
     void setBackgroundTexture(const Texture& texture, OrxGui::State state);
     void setBackgroundTexture(const std::string& textureName, const std::string& stateName);
Index: /branches/gui/src/lib/gui/gl/glgui_widget.cc
===================================================================
--- /branches/gui/src/lib/gui/gl/glgui_widget.cc	(revision 8593)
+++ /branches/gui/src/lib/gui/gl/glgui_widget.cc	(revision 8594)
@@ -67,11 +67,16 @@
     this->_pushed = false;
     this->_state = OrxGui::Normal;
+    this->_toFrontColor = NULL;
+
+    this->style().setBackgroundColor(Color(0, 0, 0, 1));
+
+    this->style().setForegroundColor(Color(1, 0, 0, 1), OrxGui::Normal);
+    this->style().setForegroundColor(Color(0, 1, 0, 1), OrxGui::Selected);
+    this->style().setForegroundColor(Color(0, 0, 1, 1), OrxGui::Focused);
+    this->style().setForegroundColor(Color(.1, .1, .1, 1), OrxGui::Insensitive);
 
     this->setVisibility(GLGUI_WIDGET_DEFAULT_VISIBLE);
 
-/*    this->_backMat.setDiffuseColor(Color(1.0, 0.5, 0.4, 1.0));
-    this->_backMat.setDiffuseMap("gui_element_background.png");
-    this->_frontColor = Color(1.0, 0.0, 0.0);*/
-    this->_toFrontColor = NULL;
+    this->style().setBackgroundTexture("gui_element_background.png");
   }
 
@@ -115,4 +120,6 @@
     return this->focusOverWidget(cursor->getAbsCoor2D());
   }
+
+
 
   void GLGuiWidget::setFrontColor(const Color& frontColor, bool instantaniously)
@@ -164,22 +171,20 @@
   void GLGuiWidget::clicking(const Vector2D& pos)
   {
-    this->setFrontColor(Color(0, 0, 1));
-
+    this->style().switchState(OrxGui::Selected);
   }
 
   void GLGuiWidget::releasing(const Vector2D& pos)
   {
-    this->setFrontColor(Color(0,1,0));
-
+    this->style().switchState(OrxGui::Normal);
   }
 
   void GLGuiWidget::receivedFocus()
   {
-    this->setFrontColor(Color(0, 1, 0));
+    this->style().switchState(OrxGui::Focused);
   }
 
   void GLGuiWidget::removedFocus()
   {
-    this->setFrontColor(Color(1, 0, 0));
+    this->style().switchState(OrxGui::Normal);
 
   }
Index: /branches/gui/src/lib/util/filesys/file.cc
===================================================================
--- /branches/gui/src/lib/util/filesys/file.cc	(revision 8593)
+++ /branches/gui/src/lib/util/filesys/file.cc	(revision 8594)
@@ -205,5 +205,5 @@
 
 /// FIXME NEXT THREE FUNCTIONS
-bool File::isReadeable() const
+bool File::isReadable() const
 {
 #ifndef __WIN32__
Index: /branches/gui/src/lib/util/filesys/file.h
===================================================================
--- /branches/gui/src/lib/util/filesys/file.h	(revision 8593)
+++ /branches/gui/src/lib/util/filesys/file.h	(revision 8594)
@@ -51,5 +51,5 @@
   bool isFile() const;
   bool isDirectory() const;
-  bool isReadeable() const;
+  bool isReadable() const;
   bool isWriteable() const;
   bool isExecutable() const;