Index: /code/branches/portals2/data/levels/portals.oxw
===================================================================
--- /code/branches/portals2/data/levels/portals.oxw	(revision 8598)
+++ /code/branches/portals2/data/levels/portals.oxw	(revision 8599)
@@ -36,5 +36,5 @@
 
     <PortalEndPoint position="0,0,0" id="1" distance="40" target="MobileEntity" design="PortalDefault" reenterDelay="0"/>
-    <PortalEndPoint position="-100,0,0" id="2" distance="40" target="MobileEntity" design="PortalDefault" reenterDelay="0"/>
+    <PortalEndPoint position="-300,0,0" id="2" distance="40" target="MobileEntity" design="PortalDefault" reenterDelay="0"/>
     <PortalLink fromID="1" toID="2" />
     <PortalLink fromID="2" toID="1" />
Index: /code/branches/portals2/doc/api/groups/Portals.dox
===================================================================
--- /code/branches/portals2/doc/api/groups/Portals.dox	(revision 8598)
+++ /code/branches/portals2/doc/api/groups/Portals.dox	(revision 8599)
@@ -3,5 +3,5 @@
     @ingroup Modules
 
-    This module allows you to place @ref modules::PortalEndPoint "PortalEndPoints" in space and connect pairs of them with a @ref modules::PortalLink "PortalLink" in order allow fast travelling from A to B.
+    This module allows you to place @ref orxonox::PortalEndPoint "PortalEndPoints" in space and connect pairs of them with a @ref orxonox::PortalLink "PortalLink" in order to allow fast travelling from A to B.
 
     @section FastHowTo Fast HowTo: Including portals in a level
@@ -53,10 +53,10 @@
     @subsection Templates "Templates"
     In order to make @ref orxonox::PortalEndPoint "PortalEndPoints" visible in the game there must be something visible.
-    The idea above is to define or include arbitrary Templates which make a PortalEndPoint visible and later use them by setting the design attribute of a @ref orxonox::PortalEndPoint "PortalEndPoint" to the template name
+    The idea (as shown above) is to define or include arbitrary Templates which make a PortalEndPoint visible and use them later by setting the design attribute of a @ref orxonox::PortalEndPoint "PortalEndPoint" to the template name
     @subsection Parameters "Parameters"
      - position: 3d-coordinate in space
-     - distance (default: 50): distance at which a valid entity gets pulled in by the @ref orxonox::PortalEndPoint (if the end point is an entrance)
+     - distance (default: 50): distance at which a valid entity gets pulled in (if the end point is an entrance).
      - target (default: "Pawn"): the class which is able to enter this end point (if it is an entrance)
-     - design: the name of the @ref orxonox::Template "Template" above
+     - design: the name of the @ref orxonox::Template "design template"
 */
 
Index: /code/branches/portals2/src/modules/portals/PortalEndPoint.cc
===================================================================
--- /code/branches/portals2/src/modules/portals/PortalEndPoint.cc	(revision 8598)
+++ /code/branches/portals2/src/modules/portals/PortalEndPoint.cc	(revision 8599)
@@ -1,2 +1,30 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Andreas Büchel
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 #include "PortalEndPoint.h"
 #include "core/XMLPort.h"
@@ -64,5 +92,4 @@
         if(originatingTrigger == 0)
         {
-            // COUT(1) << "originator no DistanceMultiTrigger\n" << std::endl;
             return true;
         }
@@ -106,9 +133,9 @@
         this->jumpOutTimes_[entity] = std::time(0);
         this->recentlyJumpedOut_.insert(entity);
-        
+
+		// adjust
         entity->setPosition(this->getWorldPosition());
         entity->rotate(this->getWorldOrientation());
         entity->setVelocity(this->getWorldOrientation() * entity->getVelocity());
-        entity->setVelocity(entity->getVelocity() * 1.5);
     }
 
Index: /code/branches/portals2/src/modules/portals/PortalEndPoint.h
===================================================================
--- /code/branches/portals2/src/modules/portals/PortalEndPoint.h	(revision 8598)
+++ /code/branches/portals2/src/modules/portals/PortalEndPoint.h	(revision 8599)
@@ -1,2 +1,30 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Andreas Büchel
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 /**
  *  @file PortalEndPoint.h
@@ -98,5 +126,5 @@
             int reenterDelay_;
             std::map<MobileEntity *, time_t> jumpOutTimes_;   //!< Stores the time at which a certain MobileEntity @ref jumpOut "jumped out" of this PortalEndPoint
-            std::set<MobileEntity *> recentlyJumpedOut_;
+            std::set<MobileEntity *> recentlyJumpedOut_;   //!< Stores the entities witch recently jumped out of this PortalEndPoint and haven't left the activation radius yet. This is needed in order to prevent them from beeing pulled into the PortalEndPoint they have just come out of.
     };
 
Index: /code/branches/portals2/src/modules/portals/PortalLink.cc
===================================================================
--- /code/branches/portals2/src/modules/portals/PortalLink.cc	(revision 8598)
+++ /code/branches/portals2/src/modules/portals/PortalLink.cc	(revision 8599)
@@ -1,2 +1,30 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Andreas Büchel
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 #include "PortalLink.h"
 #include "core/XMLPort.h"
@@ -37,5 +65,4 @@
         if(entrance == 0)
         {
-            // TODO COUT
             return;
         }
@@ -45,8 +72,6 @@
         if(endpoints == PortalLink::links_s.end())  // entrance has no corresponding exit
             return;
-        
+
         endpoints->second->jumpOut(entity);
     }
-
-
 }
Index: /code/branches/portals2/src/modules/portals/PortalLink.h
===================================================================
--- /code/branches/portals2/src/modules/portals/PortalLink.h	(revision 8598)
+++ /code/branches/portals2/src/modules/portals/PortalLink.h	(revision 8599)
@@ -1,2 +1,30 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Andreas Büchel
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 /**
     @file PortalLink.h
@@ -45,16 +73,17 @@
                 return this->toID_;
             }
-            static void use(MobileEntity * entity, PortalEndPoint * entrance);   //
+            /*! \brief Let an entity enter a certain PortalEndPoint
+                \param entity pointer to the entity which is entering a PortalEndPoint
+                \param entrance pointer to the PortalEndPoint to enter
+             */
+            static void use(MobileEntity * entity, PortalEndPoint * entrance);   //!< let entity enter the PortalEndPoint pointed to by entrance
         protected:
         private:
-            static std::map<PortalEndPoint *, PortalEndPoint *> links_s;
-            unsigned int fromID_;
-            unsigned int toID_;
-            PortalEndPoint* from_;
-            PortalEndPoint* to_;
-            float activationRadius_;
-            bool isNowPortable(WorldEntity * ent);
+            static std::map<PortalEndPoint *, PortalEndPoint *> links_s;   //!< maps entrances to exits
+            unsigned int fromID_;   //!< id of the entrance of this Link
+            unsigned int toID_;   //!< id of the exit of this Link
+            PortalEndPoint* from_;   //!< pointer to this Link's entrance
+            PortalEndPoint* to_;   //!< pointer to this Link's exit
     };
-
 }
 