Index: code/branches/spaceboundaries2/src/orxonox/worldentities/SpaceBoundaries.cc
===================================================================
--- code/branches/spaceboundaries2/src/orxonox/worldentities/SpaceBoundaries.cc	(revision 8604)
+++ code/branches/spaceboundaries2/src/orxonox/worldentities/SpaceBoundaries.cc	(revision 8609)
@@ -58,11 +58,5 @@
         this->centerRadar_ = new RadarViewable(this, this);
         this->centerRadar_->setRadarObjectShape(RadarViewable::Dot);
-        this->centerRadar_->setRadarVisibility(false);\
-        
-        // FOLGENDER BLOCK: TO REMOVE (DEBUGGING)
-        constBilly = new Billboard(this);
-        Vector3 pos = Vector3(-10, -10, -10);
-        constBilly->setPosition(pos);
-        setBillboardOptions(constBilly, pos);
+        this->centerRadar_->setRadarVisibility(false);
     }
     SpaceBoundaries::~SpaceBoundaries()
@@ -80,6 +74,4 @@
         }
         this->billboards_.clear();
-        
-        delete constBilly; // TO REMOVE (DEBUGGING)
     }
     
@@ -123,16 +115,21 @@
             Billboard *tmp = new Billboard(this);
             tmp->setPosition(position);
-            this->setBillboardOptions( tmp, position);
+            this->setBillboardOptions( tmp );
+            Vector3 normalisedVec = (position - this->getPosition()).normalisedCopy(); /* Vektor von Kugelmitte nach aussen */
+            tmp->setCommonDirection ( -1.0 * normalisedVec );
+            tmp->setCommonUpVector( Vector3::UNIT_Z );
             billboardAdministration tmp2 = { true, tmp };
             this->billboards_.push_back( tmp2 );
-            
         } else {
             current->billy->setPosition(position);
             current->billy->setVisible(true);
             current->usedYet = true;
-        }
-    }
-    
-    void SpaceBoundaries::setBillboardOptions(Billboard *billy, Vector3 position)
+            Vector3 normalisedVec = (position - this->getPosition()).normalisedCopy(); /* Vektor von Kugelmitte nach aussen */
+            current->billy->setCommonDirection ( -1.0 * normalisedVec );
+            current->billy->setCommonUpVector( Vector3::UNIT_Z );
+        }
+    }
+    
+    void SpaceBoundaries::setBillboardOptions(Billboard *billy)
     {
         if(billy != NULL)
@@ -140,7 +137,4 @@
             billy->setMaterial("Grid");
             billy->setBillboardType(Ogre::BBT_PERPENDICULAR_COMMON);
-            Vector3 normalisedVec = (position - this->getPosition()).normalisedCopy(); /* Vektor von Kugelmitte nach aussen */
-            billy->setCommonDirection ( -1.0 * normalisedVec );
-            billy->setCommonUpVector( Vector3::UNIT_Z ); // (normalisedVec.crossProduct(Vector3::UNIT_X)).normalisedCopy() );
             billy->setDefaultDimensions(150, 150);
             billy->setVisible(true);
@@ -275,5 +269,5 @@
     void SpaceBoundaries::displayWarning(const std::string warnText)
     {   
-        
+        // TODO
     }
     
Index: code/branches/spaceboundaries2/src/orxonox/worldentities/SpaceBoundaries.h
===================================================================
--- code/branches/spaceboundaries2/src/orxonox/worldentities/SpaceBoundaries.h	(revision 8604)
+++ code/branches/spaceboundaries2/src/orxonox/worldentities/SpaceBoundaries.h	(revision 8609)
@@ -121,11 +121,9 @@
             
             RadarViewable* centerRadar_; //!< Repraesentation von SpaceBoundaries auf dem Radar.
-            
-            Billboard* constBilly; // TO REMOVE (DEBUGGING)
         
         
             // Funktionen::
             float computeDistance(WorldEntity *item); //!< Auf den Mittelpunkt 'this->getPosition()' bezogen.
-            void displayWarning(const std::string warnText); //!< Einen Warntext auf dem Bildschirm ausgeben. (noch nicht implementiert)
+            void displayWarning(const std::string warnText); //!< Einen Warntext auf dem Bildschirm ausgeben. (noch nicht implementiert, TODO)
             void displayBoundaries(Pawn *item);
             void conditionalBounceBack(Pawn *item, float currentDistance, float dt);
@@ -136,5 +134,5 @@
             
             void positionBillboard(const Vector3 position); //!< Display a Billboard at the position 'position'.
-            void setBillboardOptions(Billboard *billy, Vector3 position);
+            void setBillboardOptions(Billboard *billy);
             void removeAllBillboards(); //!< Hide all elements of '*billboard_' and set their attribute 'usedYet' to 0.
             