Index: /code/branches/presentation/src/libraries/network/synchronisable/Serialise.h
===================================================================
--- /code/branches/presentation/src/libraries/network/synchronisable/Serialise.h	(revision 8611)
+++ /code/branches/presentation/src/libraries/network/synchronisable/Serialise.h	(revision 8612)
@@ -84,5 +84,5 @@
 
     /** @brief returns the size of the objectID needed to synchronise the pointer */
-    template <class T> inline uint32_t returnSize( const SmartPtr<T>& variable )
+    template <class T> inline uint32_t returnSize( const SmartPtr<T>& )
     {
         return sizeof(uint32_t);
Index: /code/branches/presentation/src/orxonox/gametypes/LastTeamStanding.cc
===================================================================
--- /code/branches/presentation/src/orxonox/gametypes/LastTeamStanding.cc	(revision 8611)
+++ /code/branches/presentation/src/orxonox/gametypes/LastTeamStanding.cc	(revision 8612)
@@ -55,8 +55,8 @@
         this->setHUDTemplate("lastTeamStandingHUD");
     }
-    
+
     LastTeamStanding::~LastTeamStanding()
     {
-    }   
+    }
 
     void LastTeamStanding::playerEntered(PlayerInfo* player)
@@ -69,10 +69,10 @@
         else
             playerLives_[player]=getMinLives();//new players only get minimum of lives */
-        
+
         this->timeToAct_[player] = timeRemaining;
         this->playerDelayTime_[player] = respawnDelay;
         this->inGame_[player] = true;
         unsigned int team = getTeam(player);
-        if( team < 0|| team > teams_) // make sure getTeam returns a regular value
+        if(team >= eachTeamsPlayers.size()) // make sure getTeam returns a regular value
             return;
         if(this->eachTeamsPlayers[team]==0) //if a player is the first in his group, a new team is alive
@@ -91,5 +91,5 @@
             this->inGame_.erase(player);
             unsigned int team = getTeam(player);
-            if( team < 0|| team > teams_) // make sure getTeam returns a regular value
+            if(team >= eachTeamsPlayers.size()) // make sure getTeam returns a regular value
                 return valid_player;
             this->eachTeamsPlayers[team]--;       // a player left the team
@@ -107,5 +107,5 @@
         bool allow = TeamDeathmatch::allowPawnDeath(victim, originator);
         if(!allow) {return allow;}
-        
+
         playerLives_[victim->getPlayer()] = playerLives_[victim->getPlayer()] - 1; //player lost a live
         this->inGame_[victim->getPlayer()] = false; //if player dies, he isn't allowed to respawn immediately
@@ -113,5 +113,5 @@
         {
             unsigned int team = getTeam(victim->getPlayer());
-            if(team < 0|| team > teams_) // make sure getTeam returns a regular value
+            if(team >= eachTeamsPlayers.size()) // make sure getTeam returns a regular value
                 return allow;
             this->eachTeamsPlayers[team]--;
@@ -140,5 +140,5 @@
                 const std::string& message = ""; // resets Camper-Warning-message
                 this->gtinfo_->sendFadingMessage(message,it->first->getClientID());
-            }    
+            }
         }
         return allow;
@@ -163,8 +163,8 @@
             return;
         TeamDeathmatch::playerStartsControllingPawn(player,pawn);
-        
+
         this->timeToAct_[player] = timeRemaining + 3.0f + respawnDelay;//reset timer
         this->playerDelayTime_[player] = respawnDelay;
-        
+
         std::map<PlayerInfo*, Player>::iterator it = this->players_.find(player);
         if (it != this->players_.end())
@@ -174,5 +174,5 @@
             const std::string& message = ""; // resets Camper-Warning-message
             this->gtinfo_->sendFadingMessage(message,it->first->getClientID());
-        }  
+        }
     }
 
@@ -187,9 +187,9 @@
             }
             for (std::map<PlayerInfo*, float>::iterator it = this->timeToAct_.begin(); it != this->timeToAct_.end(); ++it)
-            {   
+            {
                 if (playerGetLives(it->first) <= 0)//Players without lives shouldn't be affected by time.
-                    continue;     
+                    continue;
                 it->second -= dt;//Decreases punishment time.
-                if (!inGame_[it->first])//Manages respawn delay - player is forced to respawn after the delaytime is used up. 
+                if (!inGame_[it->first])//Manages respawn delay - player is forced to respawn after the delaytime is used up.
                 {
                     playerDelayTime_[it->first] -= dt;
@@ -309,5 +309,5 @@
             return 0;
     }
-    
+
     void LastTeamStanding::setConfigValues()
     {
Index: /code/branches/presentation/src/orxonox/weaponsystem/Munition.cc
===================================================================
--- /code/branches/presentation/src/orxonox/weaponsystem/Munition.cc	(revision 8611)
+++ /code/branches/presentation/src/orxonox/weaponsystem/Munition.cc	(revision 8612)
@@ -253,4 +253,6 @@
     bool Munition::canAddMunition(unsigned int amount) const
     {
+        // TODO: 'amount' is not used
+
         if (!this->bAllowMunitionRefilling_)
             return false;
@@ -334,4 +336,6 @@
     bool Munition::canAddMagazines(unsigned int amount) const
     {
+        // TODO: 'amount' is not used
+
         if (this->bStackMunition_)
             // If we stack munition, we can always add new magazines because they contribute directly to the munition